Bug 839009 - koan does not respect virt_auto_boot setting on cobbler server
koan does not respect virt_auto_boot setting on cobbler server
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el6
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 11:59 EDT by Tim Dunphy
Modified: 2014-05-09 18:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: cobbler-2.4.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 15:57:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for koan-2.2.3-2.el5 (757 bytes, text/plain)
2012-10-26 14:43 EDT, Elliott Barrere
no flags Details

  None (edit)
Description Tim Dunphy 2012-07-10 11:59:52 EDT
Description of problem:

Koan fails on the client with the message 'virt-install: error: no such option: --autostart'


Version-Release number of selected component (if applicable):

koan-2.2.3-2.el5
cobbler-2.2.3-2.el6.noarch

How reproducible:

Easily reproducable

Steps to Reproduce:
1. set virt_auto_boot to 0 on cobbler server (grep virt_auto_boot /etc/cobbler/settings virt_auto_boot: 0) 

2. restart cobbler server

3. run the command on the client koan --virt --server=cobbler --profile=xen32  --virt-name=vm01 on the client

  
Actual results:

[root@LCENT01:~] #koan --virt --server=cobbler --profile=rhel62-i386  --virt-name=vm01
- looking for Cobbler at http://cobbler:80/cobbler_api
- reading URL: http://192.168.1.36/cblr/svc/op/ks/profile/rhel62-i386
install_tree: http://192.168.1.36/cblr/links/rhel62-i386
libvirtd (pid  2801) is running...
- warning: old python-virtinst detected, a lot of features will be disabled
- adding disk: /var/lib/libvirt/images//vm01-disk0 of size 5 (driver type=raw)
- ['virt-install', '--connect', 'qemu:///system', '--name', 'vm01', '--ram', '512', '--vcpus', '1', '--autostart', '--vnc', '--hvm', '--location', 'http://192.168.1.36/cblr/links/rhel62-i386/', '--arch', 'i386', '--os-variant', 'rhel6', '--disk', 'path=/var/lib/libvirt/images//vm01-disk0,size=5', '--network', 'bridge=xenbr0', '--wait', '0', '--noautoconsole']
usage: virt-install --name NAME --ram RAM STORAGE INSTALL [options]

virt-install: error: no such option: --autostart
command failed (2)

Expected results:

Expected a new virtual machine to be created.

Additional info:

Cobbler server - 
CentOS release 6.2 (Final)
Linux VIRTCENT14.summitnjhome.com 2.6.32-220.el6.i686 #1 SMP Tue Dec 6 16:15:40 GMT 2011 i686 i686 i386 GNU/Linux

Koan client - 
CentOS release 5.8 (Final)
Linux LCENT01.summitnjhome.com 2.6.18-308.8.1.el5xen #1 SMP Tue May 29 16:16:59 EDT 2012 i686 i686 i386 GNU/Linux
Comment 1 Elliott Barrere 2012-10-26 14:43:50 EDT
Created attachment 634009 [details]
patch for koan-2.2.3-2.el5

Simply added a disable_auto_boot flag that gets set for old python-virtinst versions.
Comment 2 Fedora Update System 2014-04-21 16:33:01 EDT
cobbler-2.4.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cobbler-2.4.3-1.el5
Comment 3 Fedora Update System 2014-04-22 11:34:15 EDT
cobbler-2.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc20
Comment 4 Fedora Update System 2014-04-22 11:35:23 EDT
cobbler-2.4.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc19
Comment 5 Fedora Update System 2014-04-22 11:36:25 EDT
cobbler-2.4.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el6
Comment 6 Fedora Update System 2014-04-22 11:37:25 EDT
cobbler-2.4.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el5
Comment 7 Fedora Update System 2014-04-22 15:56:37 EDT
Package cobbler-2.4.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.4.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1211/cobbler-2.4.4-1.el5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-05-03 15:57:43 EDT
cobbler-2.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-05-08 18:00:08 EDT
cobbler-2.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-05-08 22:56:59 EDT
cobbler-2.4.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-05-09 18:02:05 EDT
cobbler-2.4.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.